package dbhandler

import (
	"context"

	"git.acooldomain.co/server-manager/backend/models"
)

type ServersAuthorizationDbHandler interface {
	AddPermissions(ctx context.Context, username string, server_id string, permissions models.Permission) error
	RemovePermissions(ctx context.Context, string, server_id string, permissions models.Permission) error
	SetPermissions(ctx context.Context, username string, server_id string, permissions models.Permission) error
	GetPermissions(ctx context.Context, username string, server_id string) (models.Permission, error)
	RemoveUser(ctx context.Context, username string) error
	RemoveServer(ctx context.Context, server_id string) error
}
