package docker

type ContainerType string

const (
	Game        ContainerType = "GAME"
	FileBrowser               = "FILE_BROWSER"
)

type ContainerLabels struct {
	VolumeId string        `json:"volume_id,omitempty"`
	Type     ContainerType `json:"type,omitempty"`
}

type BrowserLabels struct {
	ContainerLabels
	UrlRule string
	Enabled bool
}

type VolumeLabels struct {
	Type     ContainerType `json:"type,omitempty"`
	VolumeId string        `json:"volume_id,omitempty"`
}

type ImageLabels struct {
	Type ContainerType `json:"type,omitempty"`
}
